// Package models
// @Author gmy 2024/8/7 9:38:00
package models

import (
	"eta/eta_index_lib/global"
	"eta/eta_index_lib/utils"
)

type BaseFromLyIndexRecord struct {
	BaseFromLyIndexRecordId int `gorm:"column:base_from_ly_index_record_id;primaryKey"` // 指标记录ID
	//BaseFromLyIndexRecordId int    `orm:"column(base_from_ly_index_record_id);pk"` // 指标记录ID
	CreateTime string `gorm:"column:create_time"` // 创建时间
	ModifyTime string `gorm:"column:modify_time"` // 修改时间
	Product    string `gorm:"column:product"`     // 产品
	Category   string `gorm:"column:category"`    // 分类
	Url        string `gorm:"column:url"`         // 指标页面地址
	DataTime   string `gorm:"column:data_time"`   // 数据日期
}

// AddLyIndexRecord 添加指标记录
func AddLyIndexRecord(item *BaseFromLyIndexRecord) (int64, error) {
	//o := orm.NewOrm()
	//id, err := o.Insert(item)
	err := global.DEFAULT_DB.Create(item).Error
	if err != nil {
		return 0, err
	}
	id := int64(item.BaseFromLyIndexRecordId)
	return id, nil
}

// GetLyIndexRecordByUrl 查询指标记录是否存在
func GetLyIndexRecordByUrl(url string) (item *BaseFromLyIndexRecord, err error) {
	//o := orm.NewOrm()
	sql := `SELECT * FROM base_from_ly_index_record WHERE url=?`
	//err = o.Raw(sql, url).QueryRow(&item)

	err = global.DEFAULT_DB.Raw(sql, url).First(&item).Error
	if utils.IsErrNoRow(err) {
		return nil, nil
	}

	return
}
